<?


include 'connect.php';

//Доступ авторизованным
if(!$u['id']){ header ("Location: aut.php"); exit; }

switch($_GET['act'])
{

//############################################# Запись сообщения #############################################
case 'add':
//Проверка id пользователя ---------------------------------------------
if(isset($_GET['id'])){
   $id=num($_GET['id']);
   $req = mysql_query("SELECT `id` FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
      $user = mysql_fetch_assoc($req);
   }
}
if(empty($user)){
   header ("Location: index.php");
   exit;
}

//Проверяем сообщение ---------------------------------------------
if(isset($_POST['message'])){
   $message = check(substr($_POST['message'], 0, 500));
}
if(empty($message) || $message == ''){
   header ("Location: page.php?id=".$user['id']."");
   exit;
}

//Проверяем на флуд
$flood = mysql_query("SELECT `time` FROM `wall` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - $system['wall_antiflud']) . "'");
if (mysql_num_rows($flood)) {
   header ("Location: page.php?id=".$user['id']."");
   exit;
}

// Вставляем сообщение в базу
mysql_query("INSERT INTO `wall` SET
`user` = '".$u['id']."',
`message` = '$message',
`time` = '".time()."',
`wall` = '".$user['id']."'
");
mysql_query("UPDATE `users` SET `stat_guestbook` = `stat_guestbook`+1 WHERE `id` = '".$u['id']."'");

//Записываем в журнал
if($user['id'] != $u['id']){
   if($u['sex'] == 'm'){
      $action[0] = 'Оставил';
   } else {
   $action[0] = 'Оставила';
   }
   $text = $action[0].' запись на Вашей <a href = "page.php?id='.$user['id'].'">стене</a>.';
   mysql_query("INSERT INTO `jurnal` SET
   `user` = '".$user['id']."',
   `outuser` = '".$u['id']."',
   `text` = '$text',
   `time` = '".time()."',
   `new` = '1'
   ");
}
	  
header ("Location: page.php?id=".$user['id']."");

break;

//############################################# Редактирование #############################################
default:
header ("Location: index.php");
}

?>